Message: Re: Geant 4.9.4 on centos 6: cannot find -lGLU, -lXmu Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Geant 4.9.4 on centos 6: cannot find -lGLU, -lXmu 

Forum: Installation and Configuration
Re: Question Geant 4.9.4 on centos 6: cannot find -lGLU, -lXmu (Andrew)
Date: 15 Dec, 2011
From: Ben Morgan <Ben Morgan>

Hi Andrew,
On Wed, 14 Dec 2011 17:50:44 GMT, Andrew wrote:
> Hello all,
> 
> I am currently trying to install Geant 4.9.4.p02 on a remote centos 6 machine. I get the following error(s) during installation:
> 
> /usr/bin/ld: cannot find -lGLU
> collect2: ld returned 1 exit status
> 
> and 
> 
> /usr/bin/ld: cannot find -lXmu
> collect2: ld returned 1 exit status
> 
> I have verified that both these libraries are installed on the system. The 
> complete log file is attached as well. Does anyone know why this is happening?

Could you rerun the build with CPPVERBOSE set in the environment, and post the output log here please? This should reveal what paths are being used. Also, whereabouts are libGLU.so and libXmu.so on your system?

Cheers,

Ben.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Geant 4.9.4 on centos 6: cannot find -lGLU, -lXmu   (Andrew - 15 Dec, 2011)
(_ News: Re: Geant 4.9.4 on centos 6: cannot find -lGLU, -lXmu   (Ben Morgan - 20 Dec, 2011)
(_ None: Re: Geant 4.9.4 on centos 6: cannot find -lGLU, -lXmu   (Andrew - 29 Dec, 2011)
 Add Message Add Message
to: "Re: Geant 4.9.4 on centos 6: cannot find -lGLU, -lXmu"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]